Halide 22.0.0 Halide compiler and libraries

Public Member Functions | Public Attributes | List of all members
ID3D12ObjectVtbl Struct Reference

`#include <mini_d3d12.h>`

## Public Member Functions
| BEGIN_INTERFACE (ID3D12Object *This, REFIID riid, _COM_Outptr_ void **ppvObject)
ID3D12Object _In_ REFGUID _In_ UINT | _In_reads_bytes_opt_ (DataSize) const void *pData)

## Public Attributes
ID3D12Object * | This
ID3D12Object _In_ REFGUID | guid
ID3D12Object _In_ REFGUID _Inout_ UINT * | pDataSize
ID3D12Object _In_ REFGUID _Inout_ UINT _Out_writes_bytes_opt_ pDataSize void * | pData
ID3D12Object _In_ REFGUID _In_ UINT | DataSize
ID3D12Object _In_ REFGUID _In_opt_ const IUnknown * | pData
ID3D12Object _In_z_ LPCWSTR | Name

## Detailed Description

Definition at line 1470 of file mini_d3d12.h.

## Member Function Documentation

## ◆ BEGIN_INTERFACE()

ID3D12ObjectVtbl::BEGIN_INTERFACE | ( | ID3D12Object * | This,
|  | REFIID | riid,
|  | _COM_Outptr_ void ** | ppvObject
| ) |  |

## ◆ _In_reads_bytes_opt_()

ID3D12Object _In_ REFGUID _In_ UINT ID3D12ObjectVtbl::_In_reads_bytes_opt_ | ( | DataSize |  | ) | const

## Member Data Documentation

## ◆ This

ID3D12Object * ID3D12ObjectVtbl::This

Definition at line 1481 of file mini_d3d12.h.

## ◆ guid

ID3D12Object _In_ REFGUID ID3D12ObjectVtbl::guid

Definition at line 1490 of file mini_d3d12.h.

## ◆ pDataSize

ID3D12Object _In_ REFGUID _Inout_ UINT* ID3D12ObjectVtbl::pDataSize

Definition at line 1491 of file mini_d3d12.h.

## ◆ pData [1/2]

ID3D12Object _In_ REFGUID _Inout_ UINT _Out_writes_bytes_opt_ pDataSize void* ID3D12ObjectVtbl::pData

Definition at line 1492 of file mini_d3d12.h.

## ◆ DataSize

ID3D12Object _In_ REFGUID _In_ UINT ID3D12ObjectVtbl::DataSize

Definition at line 1498 of file mini_d3d12.h.

## ◆ pData [2/2]

ID3D12Object _In_ REFGUID _In_opt_ const IUnknown* ID3D12ObjectVtbl::pData

Definition at line 1505 of file mini_d3d12.h.

## ◆ Name

ID3D12Object _In_z_ LPCWSTR ID3D12ObjectVtbl::Name

Definition at line 1510 of file mini_d3d12.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_d3d12.h